"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var ayuda_service_1 = require("../../service/ayuda.service");
var service_1 = require("../../service");
var BitReadonlyComponent = /** @class */ (function () {
    function BitReadonlyComponent(ayudaService) {
        this.ayudaService = ayudaService;
        this.hideLabel = false;
    }
    BitReadonlyComponent.prototype.showAyuda = function () {
        this.ayudaService.mostrarAyuda(this.ayuda);
    };
    Object.defineProperty(BitReadonlyComponent.prototype, "value_lectura", {
        get: function () {
            this.tipo = this.tipo || 'text';
            switch (this.tipo) {
                case 'date':
                    return this.valor ? service_1.GeneralUtils.getDateAsString(service_1.GeneralUtils.stringShortToDate(this.valor)) : '';
                case 'datetime':
                    return this.valor ? service_1.GeneralUtils.getDateTimeAsString(service_1.GeneralUtils.stringToDate(this.valor)) : '';
                case 'time':
                    return this.valor ? service_1.GeneralUtils.getTimeAsString(service_1.GeneralUtils.stringToTime(this.valor)) : '';
                case 'boolean':
                    return this.valor ? 'Sí' : 'No';
                default:
                    return this.valor;
            }
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BitReadonlyComponent.prototype, "isTextarea", {
        get: function () {
            return this.tipo === 'textarea';
        },
        enumerable: true,
        configurable: true
    });
    __decorate([
        core_1.Input(),
        __metadata("design:type", String)
    ], BitReadonlyComponent.prototype, "ayuda", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Object)
    ], BitReadonlyComponent.prototype, "valor", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", String)
    ], BitReadonlyComponent.prototype, "tipo", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Boolean)
    ], BitReadonlyComponent.prototype, "hideLabel", void 0);
    BitReadonlyComponent = __decorate([
        core_1.Component({
            selector: "bit-readonly",
            template: "\n    <label *ngIf=\"!hideLabel\">\n        <ng-content></ng-content>&nbsp;&nbsp;\n        <i *ngIf=\"ayuda\" class=\"btn-ayuda fa fa-question\" (click)=\"showAyuda()\"></i>\n    </label>\n    <p *ngIf=\"!isTextarea\" class=\"lectura\">{{value_lectura}}</p>\n    <pre *ngIf=\"isTextarea\" class=\"lectura\">{{value_lectura}}</pre>\n  "
        }),
        __metadata("design:paramtypes", [ayuda_service_1.AyudaService])
    ], BitReadonlyComponent);
    return BitReadonlyComponent;
}());
exports.BitReadonlyComponent = BitReadonlyComponent;
//# sourceMappingURL=bit-readonly.component.js.map